      SUBROUTINE COV4CC ( COVIN, CCOUT )
C
C         CONVERT A COVARIANCE MATRIX
C          --  4 x 4 SPECIAL CASE  --
C
C         TO A COVAR/CORRELATION MATRIC
C         ===  OFF DIAGNAL ELEMENTS ARE CORRELATIONS ==
C
C         INPUT:
C                   COVIN(4,4)     R*8       INPUT COVARIANCE MATRIX
C         OUTPUT:
C                   CCOUT(4,4)     R*8       COV-DIAG., CORRELATION MTRX
C
C
$INCLUDE:'WRDSIZ.INC'
C
C
      DIMENSION   COVIN(4,4), CCOUT(4,4)
C
C         -------------------------------------------
C
      NPARM = 4
C
      DO  200 II = 1, NPARM
      DO  100 I  = 1, NPARM
C
          IF ( I.EQ.II ) THEN
               CCOUT(I,II) = COVIN(I,II)
               GOTO 100
          ENDIF
C
          D1  = COVIN(I,I)
          D2  = COVIN(II,II)
C
          C   = COVIN(I,II)
C
          DIV =  SQRT(ABS(D1)) * SQRT(ABS(D2))
          IF ( DIV.LT.1.0D-10 ) DIV = 1.0D0
C
          CD  =  C/DIV
C
          CCOUT(I,II) =  CD
C
100   CONTINUE
200   CONTINUE
C
      RETURN
      END
