      PROGRAM RLSTAT
C
C       STATICS OF FILE OF REALS
C
C     MOD HIST:
C       2-25-91  FREE FILE INPUT
C       2-28-99  more digits on counts
C       3-4-99   LOG FILE
C
$INCLUDE:'WRDSIZ.INC'
C
C
      DIMENSION  STATV ( 10 )
C
      CHARACTER * 30   FNIN
      CHARACTER * 1    L
C
      CHARACTER*30     FNLOG
      CHARACTER*1      FF
C
C     -------------------------------------------------------------
C
C
      VER = 2.2
      WRITE (*,2000 ) VER
2000  FORMAT (//4X,'STATISTICS OF FILE OF VALUES - REAL VALUES ',
     $             'Ver',F7.2/ )
C
C      OPEN LOG FILE
C
       FF    =  CHAR(12)
       FNLOG = 'RLSTAT.LOG'
       LUNL = 4
       ILOG = 1
       CLOSE ( LUNL )
       OPEN ( LUNL,FILE=FNLOG,STATUS='OLD',ACCESS='APPEND',
     $        IOSTAT= IOCK )
       IF ( IOCK.NE. 0 ) THEN
           CLOSE ( LUNL )
           OPEN ( LUNL,FILE=FNLOG,STATUS='NEW',IOSTAT= IOCK )
       ELSE
           WRITE (LUNL,2099) FF
2099       FORMAT ( A )
       ENDIF
       IF ( IOCK.NE.0 ) THEN
           WRITE (*,2091) IOCK
2091        FORMAT (//10X,'--- OPEN ERROR ON LOG FILE -- '//)
            ILOG  = 0
            CLOSE (LUNL )
       ENDIF
C
      IF ( ILOG.NE.0 ) WRITE (LUNL,2000) VER
C
C
100   CONTINUE
C
      WRITE (*,2001)
2001  FORMAT(4X,'ENTER INPUT  FILE NAME: '\)
      READ ( *, 1001 ) FNIN
1001  FORMAT ( A )
C
      LUNIN = 1
      OPEN ( LUNIN, FILE=FNIN, STATUS='OLD', IOSTAT=IOCK )
      IF ( IOCK.NE. 0 ) THEN 
           WRITE (*,2101 ) IOCK
2101       FORMAT ( //4X,'OPEN ERROR ',I10,/)
           GOTO 100
      ENDIF
C
110   CONTINUE
C
C
120   CONTINUE
C
      WRITE (*,2003 )
2003  FORMAT ( /4X,'ENTER FIELD NUMBER OF DATA: '\ )
      READ (*,* ) IFLDN
C
130   CONTINUE
C
      IF ( ILOG.NE.0 ) THEN
         WRITE (LUNL,2020) FNIN, IFLDN, NSKIP
2020     FORMAT ('*'/'*'/
     $            '*',10X,'Input File: ',A/
     $            '*',10X,'Field     : ',I8/
     $            '*',10X,'Skipping  : ',I8,'  Headers'/'*')
      ENDIF
C
       NPTS  = 0
       IRSUM = 0  
       CALL STATL ( DUM,DUM, STATV )
C
C
      WRITE (*,2004)
2004  FORMAT ( /4X,'NUMBER OF RECORDS TO SKIP: '\)
      READ (*,*) NSKIP
C
      IF ( NSKIP.LE.0) GOTO 150
C
      DO 140 ISK = 1, NSKIP
      READ (LUNIN, 1009,END=800,ERR=140) L
1009  FORMAT ( A )
140   CONTINUE
150   CONTINUE
C
C     -----------------------------------------------------------
C
200   CONTINUE
C
      CALL RDFFX  ( LUNIN, IFLDN, RN, ISTAT )
      IF ( ISTAT.EQ.-1 ) GOTO 800
      IF ( ISTAT.NE.0  ) GOTO 700
C
C==      READ ( LUNIN, FMTIN,END=800,ERR=700 ) RN
C
C
      NPTS  = NPTS + 1
      X     = NPTS
C
      CALL STATXY (  X, RN, STATV )
C
      GOTO 200
C
C    ------------------------------------------------------------
C
C           ERROR CONDITION
C
700   CONTINUE
C
      WRITE (*,2110 ) NPTS + 1
      IF ( ILOG.NE.0 ) WRITE (LUNL,2110 ) NPTS + 1
2110  FORMAT ( /4X,'ERROR ON READ ',I10/)
C
      GOTO 200
C
C           END OF FILE
C
800   CONTINUE
C
900   CONTINUE
C
C
      CALL STATR ( DUM, DUM, STATV )
C
      AVGX     =  STATV ( 2 )
      AVGOUT   =  STATV ( 3 )
      SDX      =  STATV ( 4 )
      SDOUT    =  STATV ( 5 )
      CCOEF    =  STATV ( 8 )
      SDYX     =  STATV ( 9 )
C
C
      WRITE (*, 2011 ) NPTS,AVGOUT,SDOUT,CCOEF,SDYX
      IF(ILOG.NE.0) WRITE (LUNL, 2011 ) NPTS,AVGOUT,SDOUT,CCOEF,SDYX
2011  FORMAT ( /4X,I10,'  POINTS '/
     $          4X,10X,'INPUT   AVG ',F18.6,3X,'SD    ',F18.6/
     $          4X,10X,'COR. COEF   ',F18.6,3X,'SDY/X ',F18.6/)
C
      CLOSE ( LUNIN )
      CLOSE ( LUNL )
C
      END
