      PROGRAM RLSTAT3
C
C       STATICS OF FILE OF   ===   3  ===  REALS -- WITH EDITS
C
C     MOD HIST:
C       2-25-91  FREE FILE INPUT
C       9-7-91   SIGMA EDITING
C      11-25-93  CREATED RLSTAT3 FROM RLSTAT2
C       2-28-99  MORE DIGITS TO COUNT
C       3-4-99   ADDED LOG FILE
C
$INCLUDE:'WRDSIZ.INC'
C
C         STATV(.,1)   X1 VS POINT
C              (.,2)   X2 VS POINT
C              (.,3)   X3 VS POINT
C              (.,4)   X1 VS X2
C              (.,5)   X1 VS X3
C              (.,6)   X2 VX X3
C
      DIMENSION  STATV ( 10, 6 )
C
      CHARACTER * 30   FNIN
      CHARACTER * 1    L
C
C
      CHARACTER*30     FNLOG
      CHARACTER*1      FF
C
C     -------------------------------------------------------------
C
C
      VER = 2.2
      WRITE (*,2000 ) VER
2000  FORMAT (//4X,'STATISTICS - 3-VECTOR (REALS) / SIGMA EDITING ',
     $             'Ver',F7.2/
     $          4X,'    James R. Clynch  Naval Postgradute School'/)
C
C      OPEN LOG FILE
C
       FF    =  CHAR(12)
       FNLOG = 'RLSTAT3.LOG'
       LUNL = 4
       ILOG = 1
       CLOSE ( LUNL )
       OPEN ( LUNL,FILE=FNLOG,STATUS='OLD',ACCESS='APPEND',
     $        IOSTAT= IOCK )
       IF ( IOCK.NE. 0 ) THEN
           CLOSE ( LUNL )
           OPEN ( LUNL,FILE=FNLOG,STATUS='NEW',IOSTAT= IOCK )
       ELSE
           WRITE (LUNL,2099) FF
2099       FORMAT ( A )
       ENDIF
       IF ( IOCK.NE.0 ) THEN
           WRITE (*,2091) IOCK
2091        FORMAT (//10X,'--- OPEN ERROR ON LOG FILE -- '//)
            ILOG  = 0
            CLOSE (LUNL )
       ENDIF
C
      IF ( ILOG.NE.0 ) WRITE (LUNL,2000) VER
C
C
100   CONTINUE
C
      WRITE (*,2001)
2001  FORMAT(4X,'ENTER INPUT  FILE NAME: '\)
      READ ( *, 1001 ) FNIN
1001  FORMAT ( A )
C
      LUNIN = 1
      OPEN ( LUNIN, FILE=FNIN, STATUS='OLD', IOSTAT=IOCK )
      IF ( IOCK.NE. 0 ) THEN 
           WRITE (*,2101 ) IOCK
2101       FORMAT ( //4X,'OPEN ERROR ',I10,/)
           GOTO 100
      ENDIF
C
110   CONTINUE
C
C
120   CONTINUE
C
      WRITE (*,2003 )
2003  FORMAT ( /4X,'ENTER FIELD NUMBERs  OF 3 DATAs : '\ )
      READ (*,* ) IFLD1,IFLD2,IFLD3
      IF ( IFLD1.LE.0 .OR. IFLD2.LT.0 .OR. IFLD3.LT. 0 ) GOTO 120
C
C
130   CONTINUE
C
       WRITE (*,2006 )
2006   FORMAT (/4X,'SIGMA MULTIPLIER FOR EDITING : '\ )
       READ (*,*) SIGM
C
      WRITE (*,2004)
2004  FORMAT ( /4X,'NUMBER OF RECORDS TO SKIP: '\)
      READ (*,*) NSKIP
C
C
      IF ( ILOG.NE.0 ) THEN
         WRITE (LUNL,2020) FNIN, IFLD1,IFLD2,IFLD3,SIGM, NSKIP
2020     FORMAT ('*'/'*'/
     $            '*',10X,'Input File: ',A/
     $            '*',10X,'3 FieldS  : ',3I4,
     $                3X,'with Sigma Multiplier',F10.2/
     $            '*',10X,'Skipping  : ',I8,'  Headers'/'*')
      ENDIF
C
C
      ITER   = 0
      NULST  = 0
      NPTS   = 0
      NEDIT  = 0
C
      SIGL1 = 0.0D0
      AVGL1 = 0.0D0
      SIGL2 = 0.0D0
      AVGL2 = 0.0D0
      SIGL3 = 0.0D0
      AVGL3 = 0.0D0
C
C ================================================================
C
200   CONTINUE
C
      ITER  = ITER + 1
      IF  ( ITER.GT.4 ) GOTO 900
C
      NUSED  = NPTS - NEDIT
      IF ( ITER.GT.2 ) THEN
         NDIF = NUSED - NULST
         IF ( NDIF.EQ.0 ) GOTO 900
      ENDIF
C
      NULST = NUSED
      NPTS  = 0
      NEDIT = 0
C
      STRIP1 =  SIGM * SIGL1
      STRIP2 =  SIGM * SIGL2
      STRIP3 =  SIGM * SIGL3
C      
      CALL STATL ( DUM,DUM, STATV(1,1) )
      CALL STATL ( DUM,DUM, STATV(1,2) )
      CALL STATL ( DUM,DUM, STATV(1,3) )
      CALL STATL ( DUM,DUM, STATV(1,4) )
      CALL STATL ( DUM,DUM, STATV(1,5) )
      CALL STATL ( DUM,DUM, STATV(1,6) )
C
C
      LUNIN = 1
      CLOSE (LUNIN)
      OPEN ( LUNIN, FILE=FNIN, STATUS='OLD', IOSTAT=IOCK )
C
      IF ( NSKIP.LE.0) GOTO 220
C
      DO 210 ISK = 1, NSKIP
      READ (LUNIN, 1009,END=800,ERR=700) L
1009  FORMAT ( A )
210   CONTINUE
C
220   CONTINUE
C
C     -----------------------------------------------------------
C
300   CONTINUE
C
      CALL RDFFX  ( LUNIN, IFLD1, Y1, ISTAT )
      IF ( ISTAT.EQ.-1 ) GOTO 800
      IF ( ISTAT.NE.0  ) GOTO 700
C
      CALL RRDFFX (        IFLD2, Y2, ISTAT2 )
      CALL RRDFFX (        IFLD3, Y3, ISTAT3 )
C
      IF ( ISTAT2.NE.0  .AND. ISTAT3.NE.0 ) GOTO 700
C
      NPTS  = NPTS + 1
      X     = NPTS
C
      RES1 = Y1 - AVGL1
      RES2 = Y2 - AVGL2
      RES3 = Y3 - AVGL3
C 
      IF ( ITER.GT.1 ) THEN
C
         IEDIT = 0
         IF ( ABS(RES1) .GT.  STRIP1 )  IEDIT = 1
         IF ( ABS(RES2) .GT.  STRIP2 )  IEDIT = 1
         IF ( ABS(RES3) .GT.  STRIP3 )  IEDIT = 1
C
         IF ( IEDIT.NE.0 )  THEN
           NEDIT = NEDIT + 1
           GOTO 300
         ENDIF
C
C
      ENDIF
C
C              USE Y -<Y> FOR NUMERIC ERROR CONTROL
C
      CALL STATXY (  X, RES1, STATV(1,1) )
      CALL STATXY (  X, RES2, STATV(1,2) )
      CALL STATXY (  X, RES3, STATV(1,3) )
C
C
      CALL STATXY ( RES1, RES2, STATV(1,4) )
      CALL STATXY ( RES1, RES3, STATV(1,5) )
      CALL STATXY ( RES2, RES3, STATV(1,6) )
C
      GOTO 300
C
C    ------------------------------------------------------------
C
C           ERROR CONDITION
C
700   CONTINUE
C
      WRITE (*,2110 ) NPTS + 1
      IF(ILOG.NE.0) WRITE (LUNL,2110 ) NPTS + 1
2110  FORMAT ( /4X,'ERROR ON READ ',I10/)
C
      GOTO 300
C
C           END OF FILE
C
800   CONTINUE
C
C
      CALL STATR ( DUM, DUM, STATV(1,1) )
      CALL STATR ( DUM, DUM, STATV(1,2) )
      CALL STATR ( DUM, DUM, STATV(1,3) )
      CALL STATR ( DUM, DUM, STATV(1,4) )
      CALL STATR ( DUM, DUM, STATV(1,5) )
      CALL STATR ( DUM, DUM, STATV(1,6) )
C
      AVGX     =  STATV ( 2,1 )
      AVG1     =  STATV ( 3,1 ) + AVGL1
      SDX      =  STATV ( 4,1 )
      SD1      =  STATV ( 5,1 )
      CCOEF1   =  STATV ( 8,1 )
      SDYX1    =  STATV ( 9,1 )
C
C
      AVG2     =  STATV ( 3,2 ) + AVGL2
      SD2      =  STATV ( 5,2 )
      CCOEF2   =  STATV ( 8,2 )
      SDYX2    =  STATV ( 9,2 )
C
C
      AVG3     =  STATV ( 3,3 ) + AVGL3
      SD3      =  STATV ( 5,3 )
      CCOEF3   =  STATV ( 8,3 )
      SDYX3    =  STATV ( 9,3 )
C
      CC12     =  STATV ( 8,4 )
      CC13     =  STATV ( 8,5 )
      CC23     =  STATV ( 8,6 )
C
C
      WRITE (*, 2011 ) ITER,NPTS,NEDIT,
     $                 STRIP1,AVG1,SD1,CCOEF1,SDYX1,
     $                 STRIP2,AVG2,SD2,CCOEF2,SDYX2,
     $                 STRIP3,AVG3,SD3,CCOEF3,SDYX3,
     $                 CC12,CC13,CC23
C
      IF(ILOG.NE.0) THEN
        WRITE (LUNL, 2011 ) ITER,NPTS,NEDIT,
     $                      STRIP1,AVG1,SD1,CCOEF1,SDYX1,
     $                      STRIP2,AVG2,SD2,CCOEF2,SDYX2,
     $                      STRIP3,AVG3,SD3,CCOEF3,SDYX3,
     $                      CC12,CC13,CC23
      ENDIF
C
2011  FORMAT (//4X,' ITERATION ',I3,I8,' POINTS USED, 'I8,' EDITED'/
     $         /4X,10X,'Edit Lim',5X,'Avg',10X,'Sigma', 3X,
     $                 'Rho  vs. PT', 3X,'Sigma-y/x'/
     $          4X,'Y1:  ',F12.6,1X,F12.6,1X,F12.6,F10.6,1X,F12.6/ 
     $          4X,'Y2:  ',F12.6,1X,F12.6,1X,F12.6,F10.6,1X,F12.6/ 
     $          4X,'Y3:  ',F12.6,1X,F12.6,1X,F12.6,F10.6,1X,F12.6/ 
     $         /4X,'Rho Y-Y ',5X,2F10.6/4X,23X,F10.6/)
C
       SIGL1 = SD1
       AVGL1 = AVG1  
C
       SIGL2 = SD2
       AVGL2 = AVG2  
C
       SIGL3 = SD3
       AVGL3 = AVG3  
C
       GOTO 200
C
900   CONTINUE
C
C
      CLOSE ( LUNIN )
      CLOSE (LUNL)
C
      END
