      PROGRAM XYLINE
C
C       XY  LINE FIT WITH STATISTICS   REALS
C
C    MODHIST
C              JRC 7-95  CHANGED OUTPUT TO E'S
C
$INCLUDE:'WRDSIZ.INC'
C
C
      DIMENSION  STATV ( 10 )
C
      CHARACTER * 30   FNIN, FNOUT
      CHARACTER * 50   FMTIN,FMTOUT
      CHARACTER * 1    L
C
C     -------------------------------------------------------------
C
C
      WRITE (*,2000 )
2000  FORMAT (//4X,'X,Y   LINE FIT  - REAL VALUES '/ )
C
100   CONTINUE
C
      WRITE (*,2001)
2001  FORMAT(4X,'ENTER INPUT  FILE NAME: '\)
      READ ( *, 1001 ) FNIN
1001  FORMAT ( A )
C
      LUNIN = 1
      OPEN ( LUNIN, FILE=FNIN, STATUS='OLD', IOSTAT=IOCK )
      IF ( IOCK.NE. 0 ) THEN 
           WRITE (*,2101 ) IOCK
2101       FORMAT ( //4X,'OPEN ERROR ',I10,/)
           GOTO 100
      ENDIF
C
110   CONTINUE
C
C
120   CONTINUE
C
      WRITE (*,2003 )
2003  FORMAT ( /4X,'ENTER FIELD NUMBER X DATA: '\ )
      READ (*,* ) IFLDX
C
      WRITE (*,2004 )
2004  FORMAT ( /4X,'ENTER FIELD NUMBER Y DATA: '\ )
      READ (*,* ) IFLDY
C
130   CONTINUE
C
       NPTS  = 0
       IRSUM = 0  
       CALL STATL ( DUM,DUM, STATV )
C
C
      WRITE (*,2005)
2005  FORMAT ( /4X,'NUMBER OF RECORDS TO SKIP: '\)
      READ (*,*) NSKIP
C
      IF ( NSKIP.LE.0) GOTO 150
C
      DO 140 ISK = 1, NSKIP
      READ (LUNIN, 1009,END=800,ERR=140) L
1009  FORMAT ( A )
140   CONTINUE
150   CONTINUE
C
C     -----------------------------------------------------------
C
      NREAD  = 0
C
200   CONTINUE
C
      NREAD = NREAD + 1
C
      CALL RDFFX ( LUNIN, IFLDX, RDX, ISTAT )
      IF ( ISTAT.EQ.-1 )  GOTO 800
      IF ( ISTAT.NE.0  )  GOTO 700
C
      CALL RRDFFX(        IFLDY, RDY, ISTAT )
      IF ( ISTAT.EQ.-1 )  GOTO 800
      IF ( ISTAT.NE.0  )  GOTO 700
C
C
      NPTS  = NPTS + 1
C
      CALL STATXY ( RDX,RDY, STATV )
C
      GOTO 200
C
C    ------------------------------------------------------------
C
C           ERROR CONDITION
C
700   CONTINUE
C
      WRITE (*,2110 ) NREAD
2110  FORMAT ( //4X,'ERROR ON READ ',I5/)
C
      GOTO 200
C
C           END OF FILE
C
800   CONTINUE
C
900   CONTINUE
C
C
      CALL STATR ( DUM, DUM, STATV )
C
      AVGX     =  STATV ( 2 )
      AVGY     =  STATV ( 3 )
      SDX      =  STATV ( 4 )
      SDY      =  STATV ( 5 )
      A        =  STATV ( 6 )
      B        =  STATV ( 7 )
      CCOEF    =  STATV ( 8 )
      SDYX     =  STATV ( 9 )
C
C
      WRITE (*, 2011 ) NPTS,AVGX,SDX,AVGY,SDY,A,B,CCOEF,SDYX
2011  FORMAT ( /4X,I6,'  POINTS '/
     $          4X,6X,'X AVG       ',E18.8,3X,'SD    ',E18.8/
     $          4X,6X,'Y AVG       ',E18.8,3X,'SD    ',E18.8/
     $          4X,6X,'Y=A+B*X, A  ',E18.8,3X,'B     ',E18.8/
     $          4X,6X,'COR. COEF   ',F18.6,3X,'SDY/X ',E18.8/)
C
      CLOSE ( LUNIN )
      CLOSE ( LUNOUT )
C
      END
